Appearance
Copy all items to new or existing dataset
POST
https://api-dataset.transkribus.org/v1/datasets/{id}/versions/{vid}/copy-allCopy ALL items from a version to a new or existing dataset.
Use targetSplit to assign all items to a specific split (train/validation/test),
or set targetSplit to "preserve" to carry over the original split assignments.
- Provide
nameto create a new dataset - Provide
targetDatasetIdto copy to an existing dataset's draft version
Parameters
Path Parameters
id*
Type
Requiredstring
vid*
Type
Requiredstring
Request Body
application/json
Name for the new dataset (required if not using targetDatasetId)
Min Length
3ID of existing dataset to copy to (alternative to name)
Split to assign all copied items to. Use "preserve" to keep original train/validation/test assignments.
Valid values
"train""validation""test""preserve"Default
"train"